{
  "criteria": {
    "requirement": {
      "trigger": "minecraft:tick",
      "conditions": {
        "player": [
          {
            "condition": "minecraft:all_of",
            "terms": [
              {
                "condition": "minecraft:entity_properties",
                "entity": "this",
                "predicate": {
                  "flags": {
                    "is_on_fire": true
                  }
                }
              }
            ]
          },
          {
            "condition": "minecraft:any_of",
            "terms": [
              {
                "condition": "minecraft:entity_properties",
                "entity": "this",
                "predicate": {
                  "equipment": {
                    "mainhand": {
                      "components": {
                        "minecraft:custom_data": {
                          "firesword": "tag"
                        }
                      }
                    }
                  }
                }
              },
              {
                "condition": "minecraft:entity_properties",
                "entity": "this",
                "predicate": {
                  "nbt": "{Inventory:[{components:{\"minecraft:custom_data\":{meteorite:\"tag\"}}}]}"
                }
              }
            ]
          }
        ]
      }
    }
  },
  "rewards": {
    "function": "survivalplus:tools/firebuffs"
  }
}